<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Student Sorting Result</title>
  <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        h1 {
            margin-bottom: 20px;
        }
        .result-table {
            margin-top: 20px;
            width: 100%;
            border-collapse: collapse;
        }
        .result-table th,
        .result-table td {
            padding: 8px;
            border: 1px solid #ccc;
        }
        .error-message {
            color: red;
        }
        .download-link {
            display: block;
            margin-top: 20px;
        }
    </style>
</head>
<body>
<h1>Student Sorting Result</h1>
<table class="result-table">
  <thead>
  <tr>
    <th>Name</th>
    <th>Score</th>
  </tr>
  </thead>
  <tbody>
  <tr th:each="student : ${students}">
    <td th:text="${student.name}"></td>
    <td th:text="${#numbers.formatDecimal(student.score, 1,2)}"></td>
  </tr>
  </tbody>
</table>
<a class="download-link" th:href="@{/download}" th:if="${downloadAvailable}" download>Download Sorted Results (CSV)</a>
</th:block>
<th:block th:unless="${students}">
  <p>No students found.</p>
</th:block>
<p class="error-message" th:text="${error}"></p>
</body>
</html>
